<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
	package="net.pokeranalytics.android">

	<uses-permission android:name="android.permission.INTERNET" />
	<uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />

	<application
		android:name=".PokerAnalyticsApplication"
		android:allowBackup="true"
		android:icon="@mipmap/ic_launcher"
		android:label="@string/app_name"
		android:roundIcon="@mipmap/ic_launcher_round"
		android:supportsRtl="true"
		android:theme="@style/PokerAnalyticsTheme">

		<meta-data
			android:name="firebase_crashlytics_collection_enabled"
			android:value="false" />

		<activity
			android:name=".ui.activity.HomeActivity"
			android:label="@string/app_name">
			<intent-filter>
				<action android:name="android.intent.action.MAIN" />

				<category android:name="android.intent.category.LAUNCHER" />
			</intent-filter>
		</activity>

		<activity
			android:name=".ui.activity.SessionActivity"
			android:launchMode="singleTop"
			android:screenOrientation="portrait"
			android:windowSoftInputMode="adjustNothing" />

		<activity
			android:name=".ui.activity.BankrollActivity"
			android:launchMode="singleTop"
			android:screenOrientation="portrait" />

		<activity
			android:name=".ui.activity.SettingsActivity"
			android:launchMode="singleTop"
			android:screenOrientation="portrait" />

		<activity
			android:name=".ui.activity.StatisticDetailsActivity"
			android:launchMode="singleTop"
			android:screenOrientation="portrait" />

		<activity
			android:name=".ui.activity.CalendarDetailsActivity"
			android:launchMode="singleTop"
			android:screenOrientation="portrait" />

		<activity
			android:name=".ui.activity.ComparisonChartActivity"
			android:launchMode="singleTop"
			android:screenOrientation="portrait" />

		<activity
			android:name=".ui.activity.DataListActivity"
			android:launchMode="singleTop"
			android:screenOrientation="portrait" />

		<activity
			android:name=".ui.activity.EditableDataActivity"
			android:launchMode="singleTop"
			android:screenOrientation="portrait" />

		<activity
			android:name=".ui.activity.CurrenciesActivity"
			android:launchMode="singleTop"
			android:screenOrientation="portrait" />

		<activity
			android:name=".ui.activity.FiltersActivity"
			android:launchMode="singleTop"
			android:screenOrientation="portrait" />

		<activity
			android:name=".ui.activity.FilterDetailsActivity"
			android:launchMode="singleTop"
			android:screenOrientation="portrait" />

		<activity
			android:name=".ui.activity.GDPRActivity"
			android:launchMode="singleTop"
			android:screenOrientation="portrait" />

		<meta-data
			android:name="preloaded_fonts"
			android:resource="@array/preloaded_fonts" />

	</application>

</manifest>